From c06ca8588aa195e966c769c2e2c4c97929b2b544 Mon Sep 17 00:00:00 2001
From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date: Sat, 26 Dec 2020 17:32:34 +0900
Subject: [PATCH] Add support ppc64

Signed-off-by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
---
 cnf/bin/afnix-guess      | 1 +
 src/lib/plt/acf/ccnf.cpp | 5 +++++
 2 files changed, 6 insertions(+)

diff --git a/cnf/bin/afnix-guess b/cnf/bin/afnix-guess
index a0ce7829..6c09da73 100755
--- a/cnf/bin/afnix-guess
+++ b/cnf/bin/afnix-guess
@@ -162,6 +162,7 @@ get_cpunam ()
 	    aarch64*)  cpunam=aarch64;;
 	    ppc)       cpunam=ppc;;
 	    ppc64le)   cpunam=ppc64el;;
+	    ppc64)     cpunam=ppc64;;
 	    m68k)      cpunam=m68k;;
 	    mips)      cpunam=mips;;
 	    mipsel)    cpunam=mipsel;;
diff --git a/src/lib/plt/acf/ccnf.cpp b/src/lib/plt/acf/ccnf.cpp
index 8677dafd..4fd951d7 100644
--- a/src/lib/plt/acf/ccnf.cpp
+++ b/src/lib/plt/acf/ccnf.cpp
@@ -60,6 +60,7 @@
 #define AFNIX_PROCTYPE_AARCH64   18
 #define AFNIX_PROCTYPE_RISCV32   19
 #define AFNIX_PROCTYPE_RISCV64   20
+#define AFNIX_PROCTYPE_PPC64     21
 
 // recognized processor name
 #define AFNIX_PROCNAME_UNKNOWN   "unknown"
@@ -69,6 +70,7 @@
 #define AFNIX_PROCNAME_ARM       "arm"
 #define AFNIX_PROCNAME_PPC       "ppc"
 #define AFNIX_PROCNAME_PPC64EL   "ppc64el"
+#define AFNIX_PROCNAME_PPC64     "ppc64"
 #define AFNIX_PROCNAME_M68K      "m68k"
 #define AFNIX_PROCNAME_MIPS      "mips"
 #define AFNIX_PROCNAME_MIPSEL    "mipsel"
@@ -147,6 +149,9 @@ static int get_procid (const char* proc) {
   // ppc
   if (strcmp (proc, AFNIX_PROCNAME_PPC) == 0) 
     return AFNIX_PROCTYPE_PPC;
+  // ppc64
+  if (strcmp (proc, AFNIX_PROCNAME_PPC64) == 0)
+    return AFNIX_PROCTYPE_PPC64;
   // ppc64el
   if (strcmp (proc, AFNIX_PROCNAME_PPC64EL) == 0)
     return AFNIX_PROCTYPE_PPC64EL;
-- 
2.30.0.rc2

